
QGIS Application - Bug report #12801

Processing: "Join attributes table" doesn't work in batch mode

2015-05-21 08:41 AM - Filipe Dias

Status: Closed

Priority: High

Assignee: Victor Olaya

Category: Processing/QGIS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 20897

Description

Load four shapefiles (eg s1,s2, s3 and s4)

Run join attributes table as a batch process

Set up: Join s2 to s1 and s4 to s3

A message like this will show up: Error:"Missing parameter value: Input layer 2 (row 1) (see screenshot)

The same operations work as expected when run individually.

History

#1 - 2015-05-22 02:00 AM - Joana  Marcelino

- File temp.7z added

I attach the shapefiles so you can reproduce the error.

#2 - 2015-05-22 08:40 AM - Arnaud Morvan

Pull request proposed: https://github.com/qgis/QGIS/pull/2065

#3 - 2015-05-22 09:47 AM - Giovanni Manghi

- Pull Request or Patch supplied changed from No to Yes

#4 - 2015-05-29 12:05 AM - Alexander Bruy

- Status changed from Open to Feedback

Should be fixed in master. Please check

#5 - 2015-05-29 01:13 AM - Filipe Dias

With the attached sample data, I'm still getting an error.
https://github.com/qgis/QGIS/pull/2065


#6 - 2015-05-29 02:38 AM - Joana  Marcelino

I also tested the attached sample data in Windows, and it's not working either.

#7 - 2015-05-29 03:53 AM - Giovanni Manghi

Filipe Dias wrote:

With the attached sample data, I'm still getting an error.

the latest master in osgeo4w or nightly repositories does not include yet the fix. Try again tomorrow.

#8 - 2015-05-29 04:01 AM - Filipe Dias

I tested with the most recent code, downloaded today

#9 - 2015-05-29 04:30 AM - Giovanni Manghi

Filipe Dias wrote:

I tested with the most recent code, downloaded today

just tested myself and it works, no error messages.

#10 - 2015-05-30 11:43 PM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to fixed/implemented

#11 - 2015-06-01 01:16 AM - Filipe Dias

- Status changed from Closed to Reopened

I tested on Ubuntu 14.04 and on a different machine with Windows 7 with a clean install and still got this bug.

Can anyone else please test with the attached sample data?

#12 - 2015-06-01 04:02 AM - Alexander Bruy

- Status changed from Reopened to Feedback

Just tested with latest master (commit:738838a) under Linux and Windows and it works fine.

#13 - 2015-06-01 06:12 AM - Filipe Dias

- Status changed from Feedback to Closed
I can confirm it's fixed.

The problem I was having now resulted from not having deleted a third empty line.

Files

bug_report.PNG 250 KB 2015-05-21 Filipe Dias

temp.7z 3 KB 2015-05-22 Joana  Marcelino
